﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace rotation_test2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }
        Random y = new Random();
        Random z = new Random();
        double[] xtable = new double[10000];
        double[] ytable = new double[10000];
        double[] ztable = new double[10000];
        private System.Diagnostics.Stopwatch stopWatch;
        private void InitializeChart()
        {

            tChart1.AutoRepaint = false;
            stopWatch = new System.Diagnostics.Stopwatch();


            for (int i = 0; i < 10000; ++i)
            {
                xtable[i] = i;
                ytable[i] = y.Next(100);
                ztable[i] = z.Next(100);

            }
            points3D1.Add(xtable, ytable, ztable);

            tChart1.Axes.Left.AdjustMaxMin();
            tChart1.Axes.Left.AutomaticMaximum = false;
            tChart1.Axes.Left.AutomaticMinimum = false;
            tChart1.Axes.Left.MinimumOffset = 50;
            tChart1.Axes.Left.MaximumOffset = 50;

            tChart1.Axes.Bottom.AdjustMaxMin();
            tChart1.Axes.Bottom.AutomaticMaximum = false;
            tChart1.Axes.Bottom.AutomaticMinimum = false;
            tChart1.Axes.Bottom.MinimumOffset = 50;
            tChart1.Axes.Bottom.MaximumOffset = 50;

            tChart1.Axes.Depth.AdjustMaxMin();
            tChart1.Axes.Depth.AutomaticMaximum = false;
            tChart1.Axes.Depth.AutomaticMinimum = false;
            tChart1.Axes.Depth.MinimumOffset = 50;
            tChart1.Axes.Depth.MaximumOffset = 50;
            tChart1.Legend.Visible = false;
            rotate1.Rotating += new Steema.TeeChart.Tools.RotatingEventHandler(rotate1_Rotating);


            tChart1.AutoRepaint = true;
            stopWatch.Stop();
            tChart1.AfterDraw += new Steema.TeeChart.PaintChartEventHandler(tChart1_AfterDraw);
            tChart1.Refresh();
        }

        void tChart1_AfterDraw(object sender, Steema.TeeChart.Drawing.Graphics3D g)
        {
            TimeSpan elapsedTime = stopWatch.Elapsed;

            string total = elapsedTime.TotalSeconds.ToString();

            tChart1.Header.Text = "Elapsed time: " + total + " s";
        }

        void rotate1_Rotating(object sender, EventArgs e)
        {
            stopWatch.Reset();
            stopWatch.Start();
        }
    }
}